<?php
/*
Plugin Name: Случайный анекдот
Plugin URI: http://allanecdots.ru/wordpress/
Description: Показывает один или несколько случайных анекдотов 
Author: ZSV
Author URI: http://allanecdots.ru/
Version: 2.0
*/
class sluchanecdots extends WP_Widget{
 
	public function sluchanecdots() {
		$widget_ops = array( 'classname' => 'sluchanecdots', 
		'description' => 'Показывает один или несколько случайных анекдотов' );
		$control_ops = array( 'width' => 200, 'height' => 250, 
		'id_base' => 'sluchanecdots' );
		parent::__construct( 'sluchanecdots', 'Случайный анекдот',	$widget_ops, $control_ops );
	}
 
	public function form($instance) {
		if ($instance['title']) $title_widg=$instance['title']; else $title_widg="Случайный анекдот";?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e("Введите заголовок виджета"); ?></label>:
		<input type="text" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $title_widg; ?>"/></p>
		
		<p><label for="<?php echo $this->get_field_id('kolvo'); ?>"><?php _e("Количество выводимых анекдотов"); ?></label>:
		<select id="<?php echo $this->get_field_id('kolvo'); ?>" name="<?php echo $this->get_field_name('kolvo'); ?>" size="1">
		<?php
			if ($instance['kolvo']==1) echo "<option value='1' selected >1</option>"; else echo "<option value='1'>1</option>";
			if ($instance['kolvo']==2) echo "<option value='2' selected >2</option>"; else echo "<option value='2'>2</option>";
			if ($instance['kolvo']==3) echo "<option value='3' selected >3</option>"; else echo "<option value='3'>3</option>";
			if ($instance['kolvo']==4) echo "<option value='4' selected >4</option>"; else echo "<option value='4'>4</option>";
			if ($instance['kolvo']==5) echo "<option value='5' selected >5</option>"; else echo "<option value='5'>5</option>";
		?>
		</select></p>
		<p><label for="<?php echo $this->get_field_id('nocensored'); ?>"></label>
		<?php if ($instance['nocensored']) echo "<input type='checkbox' id='" . $this->get_field_id('nocensored') . "' name='" . $this->get_field_name('nocensored') . "' checked/> Показывать не цензурные анекдоты";
			else
				echo "<input type='checkbox' id='" . $this->get_field_id('nocensored') . "' name='" . $this->get_field_name('nocensored') . "'/> Показывать не цензурные анекдоты";
		?>
		</p>
		<?php 
		
	}
 
	public function update($new_instance, $old_instance) {
		return $new_instance;
	}
 
	public function widget($args, $instance) {
		echo $args['before_widget'],$args['before_title'];
		if ( $instance['title'] ){
			echo nl2br($instance['title']);
		}
		echo $args['after_title'];
		

	if (isset($instance['kolvo']) && $instance['kolvo']>0) $n_anecdotov=$instance['kolvo']; else $n_anecdotov=1;
	//$nocensored_wp_anecdot=$instance['nocensored'];
	$string_anecdot='<script type="text/javascript" src="https://allanecdots.ru/vidgets/wp_anecdot.js?n=';
	if ($n_anecdotov) $string_anecdot=$string_anecdot.$n_anecdotov; else $string_anecdot=$string_anecdot.'1';
	if (isset($instance['nocensored']) && $instance['nocensored']>0) $string_anecdot=$string_anecdot.'&nocensored=1';
	$string_anecdot=$string_anecdot.'"></script>';
	echo $string_anecdot;
		
		echo $args['after_widget'];
	}
}
 
// register sluchanecdots widget
add_action('widgets_init', create_function('', 
'return register_widget("sluchanecdots");'));
?>